/*
 * Created: May-August, 2007
 *
 * Evaluating Software Design Patterns
 * - the "Gang of Four" patterns implemented in Java 6
 *
 * Gunni Rode - http://www.rode.dk 
 *
 * Master's Thesis, Computer Science
 * Department of Computer Science,
 * The Faculty of Science,
 * University of Copenhagen
 * 
 * Feel free to use and/or modify the Java 6 source code 
 * developed for this thesis AT YOUR OWN RISK, but note 
 * that the source code comes WITHOUT ANY - and I do mean 
 * WITHOUT ANY - form of warranty WHAT SO EVER!
 *
 * The original thesis and source code are available at 
 * http://www.rode.dk/thesis
 * 
 */

/**
  * Defines the <b>simple log model</b> used throughout this project, including system 
  * out loggers and file loggers. <p>
  * 
  * <b>Implementation notes</b>:<br>
  * The log design is flawed. It should have used the {@linkplain dk.rode.thesis.bridge Bridge}
  * pattern to separate the log (abstraction) from the output buffer (implementation). 
  * Hence, an implementation should target {@code System.out}, another a file, etc. 
  * As it is now, problems can occur while flushing because the test for new lines is
  * only done per log, not per output buffer. Alas, no time to change it...  
  *  
  * @author Gunni Rode / <a href="http://www.rode.dk">rode.dk</a> 
  */
package dk.rode.thesis.meta.log;
